package name.panitz.kotlin.date;
class Date(val day: Int, val month: Int, val year: Int) {

    val isLeapYear: Boolean

    val absoluteDaysInYear: Int

    fun nextDay(): Date 

    fun daysInMonth(): Int

    fun monthAsHTML(): String

    fun mothersDay(): Date

    fun dayOfWeek(): Int

    fun easter(): Date

    fun isEarlierThan(that: Date): Boolean

    fun isLaterThan(that: Date): Boolean

    fun isSameDate(that: Date): Boolean

    override fun toString(): String

}